import javax.swing.*;
import javax.swing.border.*;
import java.awt.*;
import java.awt.event.*;

public class Gui extends JFrame {
	//komponenty
	JTextField valueText;
	JPanel panelMain;
	JRadioButton normalButton;
	ButtonGroup allButton;
	JButton Button1;
	JButton plusButton;
	JLabel title;
	//layout managery
	GridBagLayout gbLayout;
	GridBagConstraints gbConst;
	//cislo
	Double num1,num2;
	String operator;

	Gui() {
		super.setTitle("Cviceni 6 - Kalkulacka");
		//vytvoreni layout manageru s podminkami
		gbLayout = new GridBagLayout();
		gbConst = new GridBagConstraints();

		this.getContentPane().setLayout(gbLayout);
		this.setResizable(false);
		this.setSize(230,300);
		//vlozi komponenty
		addComponent();
		//umozni zavrit okno
		addWindowListener(new WindowAdapter() {
			public void windowClosing(WindowEvent e) {
				System.exit(1);
			}
		});
	}
	
	private void addComponent() {
		//display
		valueText = new JTextField("0");
		valueText.setHorizontalAlignment(JTextField.RIGHT);
		valueText.setEditable(false);
		//urceni umisteni pomoci parametru omezeni
		gbConst.gridx = 0;
		gbConst.gridy = 0;
		gbConst.gridwidth = 4;
		gbConst.gridheight = 1;
		gbConst.weightx = 0;
		gbConst.weighty = 0;
		gbConst.insets.top = 5;
		gbConst.insets.left = 5;
		gbConst.fill = GridBagConstraints.BOTH;	
		gbConst.anchor = GridBagConstraints.CENTER;
		gbLayout.setConstraints(valueText,gbConst);
		this.getContentPane().add(valueText);
	
		//panel s prepinaci
		panelMain = new JPanel();
		panelMain.setBorder(new EtchedBorder(EtchedBorder.LOWERED));
		gbConst.gridx = 0;
		gbConst.gridy = 1;
		gbConst.gridwidth = 4;
		gbConst.gridheight = 1;
		gbLayout.setConstraints(panelMain,gbConst);	
		this.getContentPane().add(panelMain);

		//definovani skupiny prepinacu		
		allButton = new ButtonGroup();
		//prepinac normal		
		normalButton = new JRadioButton("Normal",true);
		normalButton.addActionListener(new ChangeFont());
		allButton.add(normalButton);
		//umisteni na panel		
		panelMain.add(normalButton);
				
		//tlacitka
		plusButton = new JButton("+");
		plusButton.addActionListener(new ClickOper());
		gbConst.gridx = 3;
		gbConst.gridy = 2;
		gbLayout.setConstraints(plusButton,gbConst);	
		this.getContentPane().add(plusButton);	
		Button1 = new JButton("1");
		Button1.addActionListener(new ClickNumber());
		gbConst.gridx = 0;
		gbConst.gridy = 4;
		gbLayout.setConstraints(Button1,gbConst);	
		this.getContentPane().add(Button1);
	}
	
	//stisk cislice
	class ClickNumber implements ActionListener {
		public void actionPerformed(ActionEvent e) {
		}
	}

	//vymazani
	class ClickClear implements ActionListener {
		public void actionPerformed(ActionEvent e) {
		}
	}

	//desetinna carka
	class ClickDec implements ActionListener {
		public void actionPerformed(ActionEvent e) {
		}
	}

	//operator
	class ClickOper implements ActionListener {
		public void actionPerformed(ActionEvent e) {
		}
	}

	//rovna se
	class ClickEquals implements ActionListener {
		public void actionPerformed(ActionEvent e) {
		}
	}
	
	//zmena fontu
	class ChangeFont implements ActionListener {	
		public void actionPerformed(ActionEvent e) {
		}
	}
}